Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class PyDrupalApp

    java.lang.Object
      org.drupal.project.async_command.GenericDrupalApp
          org.drupal.project.async_command.PyDrupalApp

All Implemented Interfaces:
  java.lang.Runnable

    public class PyDrupalApp

extends GenericDrupalApp

Nested Class Summary

Nested classes/interfaces inherited from class org.drupal.project.async_command.GenericDrupalApp
`GenericDrupalApp.RunningMode`

Field Summary

Fields inherited from class org.drupal.project.async_command.GenericDrupalApp
`acceptableCommandClass, drupalConnection, logger`

Constructor Summary
`protected` | `PyDrupalApp()` anually set DrupalConnection and call initialize() required.
`` | `PyDrupalApp(DrupalConnection drupalConnection)` This calls a function initialize() for other initialization stuff.

Method Summary
`java.lang.String` | `getIdentifier()` Derived function has to override it.
`protected void` | `initialize()`
`protected void` | `registerCommandClassWithIdentifier(java.lang.String identifier, java.lang.Class<? extends AsyncCommand> commandClass)` Has to use a different name for the function because Jython/Python doesn't support function overloading.

Methods inherited from class org.drupal.project.async_command.GenericDrupalApp
`getDrupalConnection, parseCommand, registerCommandClass, registerCommandClass, run, runSerial, setDrupalConnection, setRunningMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PyDrupalApp

    public PyDrupalApp(DrupalConnection drupalConnection)

  This calls a function initialize() for other initialization stuff. Jython doesn't support function overloading, so we can only do this.

  Parameters:
    `drupalConnection` - Connection to a Drupal database that has the {async_command} table.

### PyDrupalApp

    protected PyDrupalApp()

  anually set DrupalConnection and call initialize() required.

Method Detail

### initialize

    protected void initialize()

### getIdentifier

    public java.lang.String getIdentifier()

  Derived function has to override it.

  Overrides:
    `getIdentifier` in class `GenericDrupalApp`
  Returns:
    The identifier of the app.

### registerCommandClassWithIdentifier

    protected void registerCommandClassWithIdentifier(java.lang.String identifier,
                                                      java.lang.Class<? extends AsyncCommand> commandClass)

  Has to use a different name for the function because Jython/Python doesn't support function overloading.

  Parameters:
    `identifier` -
    `commandClass` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD